<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('point_plans', function (Blueprint $table) {
            $table->enum('weather', ['Ясно','Пасмурно','Дождь','Снег'])
                ->default('Ясно')
                ->after('direction');
        });
    }

    public function down()
    {
        Schema::table('point_plans', function (Blueprint $table) {
            $table->dropColumn('weather');
        });
    }
};
